repo/proj/guru:dev commit in: dev-python/python-fire/

"Gil Ferrand" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786689283.8692efe6ad01f4ea784021a61ecec4cb05e2b6fe.bakedsnake@gentoo>
commit:     8692efe6ad01f4ea784021a61ecec4cb05e2b6fe
Author:     bakedsnake <bakedsnake <AT> vagrantz <DOT> xyz>
AuthorDate: Fri Aug 14 00:01:39 2026 +0000
Commit:     Gil Ferrand <bakedsnake <AT> vagrantz <DOT> xyz>
CommitDate: Fri Aug 14 06:34:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8692efe6

dev-python/python-fire: add 0.7.1

Also updates src_prepare(), since this version does
not use setup.py anymore.

Signed-off-by: bakedsnake <bakedsnake <AT> vagrantz.xyz>

 dev-python/python-fire/Manifest                 |  1 +
 dev-python/python-fire/python-fire-0.7.1.ebuild | 53 +++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/python-fire/Manifest b/dev-python/python-fire/Manifest
index 978471d2b0..e6c9a19db4 100644
--- a/dev-python/python-fire/Manifest
+++ b/dev-python/python-fire/Manifest
@@ -1 +1,2 @@
 DIST fire-0.7.0.tar.gz 87189 BLAKE2B a1cc759466ac78bae82b4ed50ce3915fe0e45308fb96e7b4c76fc0e04cc5ae950351fc736f8790d79d1cbd441240d41eebf9130fd57a1f7cc46f5b40404dbe5c SHA512 f451c19dde5359fc63298ef48f6cc9b2626f6693769d41031232eff024895b0f7f6679adc9ad5c5eb9036fad80b86fd787c2f4aaee4961c109904b8381c94119
+DIST fire-0.7.1.tar.gz 88720 BLAKE2B d11f11bf96fcbb17c20cf3830c81e29dedb8ba6b9fd06ab1562f87c3fd9203ddbb0fdd8c708aafee7fa898b5a82da443e75e4ef15f0f0a638372c3b8c792da52 SHA512 0cce927e14552fb9bdbfab73e32f7ef4665ff4bc9b134ee1b80f9c5b8752ab7db9f0353ebea92934288a273f7ab8be4188dc8b6e8922cb05e4b9d6997586e293

diff --git a/dev-python/python-fire/python-fire-0.7.1.ebuild b/dev-python/python-fire/python-fire-0.7.1.ebuild
new file mode 100644
index 0000000000..bb97065190
--- /dev/null
+++ b/dev-python/python-fire/python-fire-0.7.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="fire"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for automatically generating command line interfaces from Python objects"
+HOMEPAGE="https://pypi.org/project/fire"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/six[${PYTHON_USEDEP}]
+	dev-python/termcolor[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${PYTHON_DEPS}
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/termcolor[${PYTHON_USEDEP}]
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/python-fire-asyncio.patch"
+	"${FILESDIR}/python-fire-inspect.patch"
+)
+
+EPYTEST_PLUGINS=(  )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	default
+	# Update / remove deprecated options
+	sed -ie "/license =/d" pyproject.toml \
+		|| die "Failed to remove deprecated setuptools options"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.